Page MenuHomePhabricator

Notice: Undefined index: HASH in /srv/mediawiki/php-1.29.0-wmf.10/includes/cache/MessageCache.php on line 594
Closed, ResolvedPublic

Description

Feb  2 08:45:31 mw1278:  #012Notice: Undefined index: HASH in /srv/mediawiki/php-1.29.0-wmf.10/includes/cache/MessageCache.php on line 594
Feb  2 08:45:31 mw1278:  #012Notice: Undefined index: HASH in /srv/mediawiki/php-1.29.0-wmf.10/includes/cache/MessageCache.php on line 727

To reproduce, edit or purge a MediaWiki-namespace page for a language that isn't already loaded, e.g. [[MediaWiki:mainpage/en-gb]] if that's not your user language.

The cause seems to be rMWc962b480568e: Avoid races in MessageCache::replace(), in particular the move of the ->load() call from line 567 into a DeferredUpdate that's going to be run later in the request.

Details

Event Timeline

Anomie created this task.Feb 2 2017, 2:37 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 2 2017, 2:37 PM

This too is very spammy at multiple times per minute.

aaron added a comment.Feb 2 2017, 9:57 PM

The loadFromDB() call retuns the array with 'HASH', but it's calling line doesn't set it to the member variable.

Change 335707 had a related patch set uploaded (by Aaron Schulz):
Set mCache in the second MessageCache::loadFromDatabase() caller

https://gerrit.wikimedia.org/r/335707

Change 335708 had a related patch set uploaded (by 20after4):
Set mCache in the second MessageCache::loadFromDatabase() caller

https://gerrit.wikimedia.org/r/335708

Change 335707 merged by jenkins-bot:
Set mCache in the second MessageCache::loadFromDatabase() caller

https://gerrit.wikimedia.org/r/335707

Change 335708 merged by jenkins-bot:
Set mCache in the second MessageCache::loadFromDatabase() caller

https://gerrit.wikimedia.org/r/335708

aaron closed this task as Resolved.Feb 3 2017, 7:06 AM
mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:10 PM